import os
import matplotlib.pyplot as plt
import numpy as np
import tqdm
from PIL import Image
import matplotlib.animation as animation
import matplotlib.image as mpimg

fig, axs = plt.subplots(2, 2, figsize=(10, 8))
plt.subplots_adjust(left=0.0, bottom=0.0, right=1.0, top=1.0, wspace=0.0, hspace=0.0)

axs[0][0].axis('off')
axs[0][1].axis('off')
axs[1][0].axis('off')
axs[1][1].axis('off')

paths = ['./files/params/outputs_cl_cm_inputs_xf_f_theta_ref_1/figures/',
         './files/params/outputs_cl_cm_inputs_xf_f_theta_ref_1_refined_1/figures/',
         './files/params/outputs_cl_cm_inputs_xf_f_theta_ref_1_refined_2/figures/',
         './files/params/outputs_cl_cm_inputs_xf_f_theta_ref_1_refined_5/figures/']

images_names = []

for i in range(len(paths)):
    im_paths = os.listdir(paths[i])
    if 'video.mp4' in im_paths:
        im_paths.remove('video.mp4')
    im_paths.sort()

    images_names.append(im_paths)

images_names = np.array(images_names, dtype=str)

ims = []

for i in tqdm.tqdm(range(np.size(images_names, 1))):
    img = mpimg.imread(paths[0] + images_names[0][i])
    im1 = axs[0][0].imshow(img)
    img = mpimg.imread(paths[1] + images_names[1][i])
    im2 = axs[0][1].imshow(img)
    img = mpimg.imread(paths[2] + images_names[2][i])
    im3 = axs[1][0].imshow(img)
    img = mpimg.imread(paths[3] + images_names[3][i])
    im4 = axs[1][1].imshow(img)

    # im = plt.imshow()
    ims.append([im1, im2, im3, im4])


ani = animation.ArtistAnimation(fig, ims, interval=500, blit=True, repeat_delay=500)

ani.save("animation_steps.gif", writer='pillow', dpi=200)
