import numpy as np
from utils import dataset

dataset_name = 'outputs_cl_cm_inputs_xf_f_theta_ref_1_h0c_1.0'

m = 3
tau = 9
nb_time_steps = 1000

nb_time_steps_dataset = nb_time_steps - ((m - 1) * tau)

inputs_variables = ["x_f", "f", "theta_0"]
outputs_variable = ["lift_coefficient", "moment_coefficient"]

range_variables = np.array([[0.05, 0.95, 14], [0.1, 10.0, 30], [0.0, 90.0, 30]])

nb_cases_train_dataset = 10600
nb_cases_test_dataset = 1000
nb_cases_validation_dataset = 1000

dataset.generate(nb_time_steps,
                 nb_time_steps_dataset,
                 inputs_variables,
                 outputs_variable,
                 range_variables,
                 nb_cases_train_dataset,
                 nb_cases_test_dataset,
                 nb_cases_validation_dataset,
                 dataset_name,
                 m,
                 tau,
                 heaving_amplitude_chord=1.0,
                 kinematics_reference=1,
                 save=True)

