import torch
from utils import mlp


model_name = 'outputs_cl_cm_inputs_xf_f_theta_ref_1_refined_0'

m = 3
tau = 9
nb_time_steps = 1000

nb_time_steps_dataset = (nb_time_steps + 1) - ((m - 1) * tau)

test_dataset = torch.load('./files/datasets/' + model_name + '/dataset_test.pt',
                          weights_only=False)

n_input, n_output, layers_configuration = mlp.load_parameters(neural_networks_path='./files/neural_networks/',
                                                              model_name=model_name)

# Initialize the MLP
model = mlp.MLP(n_input=len(test_dataset.__getitem__(0)[0]),
                n_output=len(test_dataset.__getitem__(0)[1]),
                layers_configuration=layers_configuration)

model.load_state_dict(torch.load('./files/neural_networks/' + model_name + '/model_' + model_name + '.pt',
                                 weights_only=True))

model.eval()

mlp.validate(model, test_dataset, nb_time_steps_dataset)

