from utils import input_data, solver


def run_case(solver_input_data_dict, kinematics_obj, save_visualisation=False):
    solver_input_data_obj = input_data.InputData(solver_input_data_dict)

    solver_obj = solver.Solver(initial_data=[solver_input_data_obj])
    solver_obj.solve(func=kinematics_obj.kinematics_function, save_visualisation=save_visualisation)
    results = solver_obj.output()
    results.compute_power()
    results.compute_energy()
    results.compute_efficiency()

    return results