import numpy as np
import tqdm
from matplotlib import pyplot as plt

path_1 = './files/3.0/'
path_2 = './files/5.8/'
path_3 = './files/8.0/'

path_theta = './files/5.8/'

[time_1, cl_1] = np.load(path_1 + 'cl.npy')
[time_2, cl_2] = np.load(path_2 + 'cl.npy')
[time_3, cl_3] = np.load(path_3 + 'cl.npy')

[time_theta, theta] = np.load(path_theta + 'theta.npy')

cl_1 = cl_1 / (0.5 * 1.225 * 10.0 * 10.0 * 0.25 * 1.0)
cl_2 = cl_2 / (0.5 * 1.225 * 10.0 * 10.0 * 0.25 * 1.0)
cl_3 = cl_3 / (0.5 * 1.225 * 10.0 * 10.0 * 0.25 * 1.0)

plt.figure()
plt.plot(time_1, cl_1, label='$k=0.236$', color='blue')
plt.plot(time_2, cl_2, label='$k=0.457$', color='green')
plt.plot(time_3, cl_3, label='$k=0.628$', color='red')

plt.grid()
plt.xlabel('$\\frac{t}{T}$')
plt.xlim([0.0, 1.0])
plt.ylabel('$C_L$')
plt.legend(fontsize=9, loc='lower right')

axs_y2 = plt.twinx()
axs_y2.set_ylabel('$\\theta$ ($^{\\circ}$)')
axs_y2.plot(time_theta, np.degrees(theta), linestyle='dashed', label='$\\theta_{ref}$', color='grey')
axs_y2.legend(fontsize=9, loc='upper center')


plt.savefig('comparison_lift_multiple_k.png', bbox_inches='tight')
plt.savefig('comparison_lift_multiple_k.svg', bbox_inches='tight')

plt.show()